Retrieve wire transfer details
Retrieve the wire payment details that partners need to use to pay for partner invoices.
Requirements
Next, use setProforma to identify a specific partner invoice.
Request parameters
sessionID
Required (string) Session identifier string, output of the Login method. An exception is thrown if the values are incorrect.
refNo
Required (string) Order reference number of an order that was marked with WIRE as payment method.
Request sample
<?php
require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner
$proformaNumber = 'YOUR_PROFORMA_NUMBER';
try {
$Proforma= $client->setProforma ($sessionID, $proformaNumber);
} catch (SoapFault $e) {
echo "ProformaOutput: " . $e->getMessage();
exit;
}
var_dump ("ProformaOutput", $Proforma);
$paymentDetails = new stdClass();
$paymentDetails->Type = 'WIRE';
$paymentDetails->Curency = 'YOUR_CURRENCY';
$paymentDetails->CustomerIP = 'CUSTOMER_IP';
try {
$PaymentDetailsSet= $client->setPaymentDetails($sessionID, $paymentDetails);
} catch (SoapFault $e) {
Echo "Payment: " . $e->getMessage();
exit;
}
var_dump ("Payment", $PaymentDetailsSet);
try {
$ProformaPay= $client->payProforma($sessionID);
} catch (SoapFault $e) {
Echo "ProformaPaid: " . $e->getMessage();
exit;
}
var_dump ("ProformaPaid ", $ProformaPay);
$refNo = 'YOUR_ORDER_REFNO'
try {
$client->getWirePaymentDetails ($sessionID, $refNo);
} catch (SoapFault $e) {
echo "Error: " . $e->getMessage();
}Response parameters
WirePaymentDetails
Object Details below
WirePaymentDetails.Amount
Double
The total costs incurred by the partner for a partner invoice invoice.
WirePaymentDetails.Currency
String
Order currency ISO code - ISO 4217.
WirePaymentDetails.PaymentReference
String
Transaction identifier.
WirePaymentDetails.RoutingNumber
String
Identification number assigned to financial institutions.
WirePaymentDetails.BankAccounts
Array of objects
Array of BankAccountDetails objects with the structure detailed below. Can be NULL.
WirePaymentDetails.BankAccounts.Beneficiary
String
Payment beneficiary name. Can be NULL.
WirePaymentDetails.BankAccounts.BankName
String
Beneficiary bank name. Can be NULL.
WirePaymentDetails.BankAccounts.BankCountry
String
Beneficiary bank country. Can be NULL.
WirePaymentDetails.BankAccounts.BankCity
String
Beneficiary bank city. Can be NULL.
WirePaymentDetails.BankAccounts.BankAddress
String
Beneficiary bank address. Can be NULL.
WirePaymentDetails.BankAccounts.BankAccount
String
Beneficiary bank account number. Can be NULL.
WirePaymentDetails.BankAccounts.BankAccountIban
String
Beneficiary IBAN. Can be NULL.
WirePaymentDetails.BankAccounts.BankAccountSwiftCode
String
Beneficiary SWIFT code. Can be NULL.
WirePaymentDetails.BankAccounts.Currency
String
Bank account currency ISO code – ISO 4217. Can be NULL.
Errors
INVALID_PARTNER
No partner is set.
PAYMENT_PROFORMA
You have to set a partner invoice first.
PAYMENT_NOT_SUPPORTED
The current partner invoice is not set as payable through wire.
Last updated
Was this helpful?